'发送到VFB的【调试输出日志显示区】
Sub PrintA(p1 As CWSTR = vbNullChar , p2 As CWSTR = vbNullChar, p3 As CWSTR = vbNullChar, p4 As CWSTR = vbNullChar, p5 As CWSTR = vbNullChar, p6 As CWSTR = vbNullChar, p7 As CWSTR = vbNullChar, p8 As CWSTR = vbNullChar, p9 As CWSTR = vbNullChar, p10 As CWSTR = vbNullChar) '发送到VFB的【调试输出日志显示区】
   Static vfbWnd As hWnd
   If IsWindow(vfbWnd) = 0 Then vfbWnd = FindWindowA("VisualFreeBasic5x", Null)
   If IsWindow(vfbWnd) Then
      Dim nn As String
      if p1 <> vbNullChar Then
         nn = p1.aStr
         if p2 <> vbNullChar Then
            nn &= " | " & p2.aStr
            if p3 <> vbNullChar Then
               nn &= " | " & p3.aStr
               if p4 <> vbNullChar Then
                  nn &= " | " & p4.aStr
                  if p5 <> vbNullChar Then
                     nn &= " | " & p5.aStr
                     if p6 <> vbNullChar Then
                        nn &= " | " & p6.aStr
                        if p7 <> vbNullChar Then
                           nn &= " | " & p7.aStr
                           if p8 <> vbNullChar Then
                              nn &= " | " & p8.aStr
                              if p9 <> vbNullChar Then
                                 nn &= " | " & p9.aStr
                                 if p10 <> vbNullChar Then
                                    nn &= " | " & p10.aStr
                                 End if
                              End if
                           End if
                        End if
                     End if
                  End if
               End if
            End if
         End if
      End if
      SendDateWnd(vfbWnd, &H502, 0, nn)
   End if
End Sub
